.search-form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-width: 300px;
    margin: 0 auto 1.5rem auto;
}

.repo-list {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.repo-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #161b22;
    padding: 1rem;
    border-radius: 6px;
}

.repo-avatar img {
    width: 48px;
    height: 48px;
    border-radius: 6px;
}

.repo-info {
    flex: 1;
    margin-left: 1rem;
    text-align: left;
}

.repo-headername {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.repo-name {
    color: #ff7b00;
    font-weight: 600;
    text-decoration: none;
    margin: 0;
    font-size: 1.2em; 
    line-height: 1;
    letter-spacing: 0.5px;
}

.repo-status { 
    font-size: 0.9em; 
    margin-left: 0.5rem; 
} 


.repo-status.private,
.repo-status.public {
    display: inline-block;
    padding: 0.35rem 0.7rem;
    border: 1px solid;
    border-radius: 6px;
    font-size: 0.9rem;
    line-height: 1;
}

.repo-status.private {
	color: #d73a49;
    background-color: #381a1a;
    border-color: #552d2d;
}

.repo-status.public {
	color: #2ea043;
    background-color: #1a2b21;
    border-color: #2e4e33;
} 

.repo-desc {
    font-size: 0.85em;
    color: #c9d1d9;
    margin: 0.5rem 0 0 0;   
}

.repo-time {
    font-size: 0.85em;
    color: #8b949e;
    margin: 0.5rem 0 0 0;
}

.repo-meta span {
    margin-left: 0.5rem;
    color: #c9d1d9;
}

@media (max-width: 768px) {
  h1 { font-size: 1.8em; }
  .logo { width: 80px; }
}

@media (max-width: 480px) {
  p { font-size: 1em; }
  .btn { width: 100%; }
}
